> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/pt-br/web-scraper-api/destinos/e-commerce/destino.md).

# Destino

Aprenda como começar a fazer scraping do Target.

Com a Web Scraper API, você pode coletar vários tipos de **Destino** páginas; abaixo está uma visão geral de todos os scrapers compatíveis e seus respectivos `source` valores. As fontes de busca e de produto têm um parser dedicado: adicione `"parse": true` para receber JSON estruturado em vez do HTML da página. Cada fonte é descrita em sua própria página, com link abaixo.

{% hint style="warning" %}
Para alguns destinos, nosso sistema **força a renderização de JavaScript** mesmo que você não defina `render`; essas requisições contam como tráfego renderizado. A lista de destinos com renderização forçada e como desativá-la está em [Forçando a renderização em páginas específicas](https://developers.oxylabs.io/products/pt-br/web-scraper-api/features/js-rendering-and-browser-control.md#forcing-rendering-on-specific-pages).
{% endhint %}

<table><thead><tr><th width="250">Fonte</th><th>Descrição</th></tr></thead><tbody><tr><td><code>target_search</code></td><td><a href="https://developers.oxylabs.io/products/pt-br/web-scraper-api/destinos/e-commerce/destino/busca.md"><strong>Página de busca</strong></a> para um termo de busca de sua escolha. Parser dedicado disponível.</td></tr><tr><td><code>target_product</code></td><td><a href="https://developers.oxylabs.io/products/pt-br/web-scraper-api/destinos/e-commerce/destino/produto.md"><strong>Página do produto</strong></a> de um ID de produto de sua escolha. Parser dedicado disponível.</td></tr><tr><td><code>target_category</code></td><td><a href="https://developers.oxylabs.io/products/pt-br/web-scraper-api/destinos/e-commerce/destino/categoria.md"><strong>Página de categoria</strong></a> de um ID de nó de taxonomia de sua escolha.</td></tr></tbody></table>

Qualquer outra página de destino pode ser raspada passando seu `url` sozinho, sem `source` necessário.

{% hint style="info" %}
Além dos parâmetros listados nas páginas das fontes, você pode incluir parâmetros adicionais, como `user_agent_type`, `geo_location`, `render`e mais para personalizar sua requisição de scraping. Leia mais [aqui](https://developers.oxylabs.io/products/pt-br/web-scraper-api/features.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/pt-br/web-scraper-api/destinos/e-commerce/destino.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
